typedef struct _Eli_Highscore 
{
	Evas_List * 	entries;
	int		type;
} Eli_Highscore;

typedef struct _Eli_Highscore_Entry
{
	char * 		username;
	float		points;
} Eli_Highscore_Entry;

#ifdef __cplusplus
extern "C" {
#endif

void 		eli_highscore_init(const char * file);
void		eli_highscore_shutdown(void);
Evas_Bool	eli_highscore_entry_add(const char * game, const char * username, float points, pointsType type);
Evas_Bool   eli_highscore_accept(const char * game, float points, pointsType type);
Evas_List *	eli_highscore_get(const char * game);
pointsType	eli_highscore_points_type_get(const char * game);
void		eli_highscore_free(Evas_List * list);

#ifdef __cplusplus
}
#endif

