#include "points.h"
#include <stdio.h>
#include <monetary.h>
#include <string.h>

char * pointsType_point_string_get(float points, pointsType type)
{
    char buffer[24];

    switch (type) {
    case POINTS_TYPE_INTEGER_GOOD:
    case POINTS_TYPE_INTEGER_BAD:
        snprintf(buffer, 24, "%i", (int) points);
        break;
    
    case POINTS_TYPE_MONEY:
        strfmon(buffer, 24, "%i", (double) points);
        break;
    
    default:
        snprintf(buffer, 24, "%.2f", points);
        break;
    }

    return strdup(buffer);
}
